Qgis assertion when loading a postgres layer when the postgis extent() function is missing
2007-11-25 12:27 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10894
Description

Qgis crashes (with an assertion) when loading a postgres layer when the postgis extent() function is missing. This is clearly a problem
with the setup of the database, but qgis could be a bit more robust with unexpected behaviour from postgres.

Debug: qgspostgresprovider.cpp: 2526: (calculateExtents)
+++++++++QgsPostgresProvider::calculateExtents - Getting extents using
schema.table: select extent("trackline™) from "public"."t_station"

Fatal: ASSERT: "PQntuples(result) == 1" in file qgspostgresprovider.cpp,
line 2529

Aborted

and a similar query from psql:

omandb=# select extent(trackline) from t_station;

ERROR: function extent(geometry) does not exist

HINT: No function matches the given name and argument types. You may
need to add explicit type casts.

History

#1 - 2007-11-25 12:27 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#2 - 2007-11-26 12:00 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from In Progress to Closed

fixed in commit:bd35aecf (SVN r7662)

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
